﻿using System.Collections.Generic;
using JetBrains.Annotations;
using UniRx;

namespace Magify
{
    public class UserAssignment
    {
        /// <inheritdoc cref="MagifyManager.Segmentations"/>
        [NotNull]
        public IReadOnlyReactiveProperty<IReadOnlyList<string>> Segmentations => MagifyManager.Segmentations;

        /// <inheritdoc cref="MagifyManager.AssignedAbTests"/>
        [NotNull]
        public IReadOnlyReactiveProperty<IReadOnlyList<AssignedAbTest>> AssignedAbTests => MagifyManager.AssignedAbTests;
    }
}